I wrote a blog post about TOS, Ubuntu and 14.04 and based on traffic, there appears to be serious need for this issue. I have since upgraded to 15.04 and will probably upgrade to 15.10 here a few weeks.

Unfortunately, when I upgraded to 15.04, I’m no longer able to log into TOS. Has anybody had any success with 15.04 and TOS? If so please post a link in the comments and I will try do a write so everybody can figure this out, since Front running, Non Linux supporting TD Ameritrade has no interest in support there product.

Tagged with:
 

5 Responses to ThinkorSwim on Ubuntu 15.04

  1. Thomas C says:

    I was able to get this working on Ubuntu 15.04. When I tried installing via OpenJDK, the tos install failed withing a popup stating that JavaFX (or something like that) libraries were needed and that they were only available in the Oracle Java JDK.

    To install OraJava (I used Java7 instead of Java8, based on the tos requirements, so I’m not sure if Java8 works or not).

    sudo apt-add-repository ppa:webupd8team/java
    sudo apt-get update
    sudo apt-get install oracle-java7-installer

    And then run the tos installer:

    sh ./thinkorswim_installer.sh

    Everything seems to be working fine for me.

  2. chad_strategic says:

    Thanks, will try this weekend!

  3. Ombibulous says:

    I’m looking at going Windows free as soon as I confirm I can run ToS on a Linux box. Currently using Mint. Did you get this working? How did it go?

  4. Fry Toos says:

    Thank you this worked for me. I have no reason now to use windows.

  5. keith says:

    Can i pay you to help me troubleshoot my think or swim install? I had it working on my ubuntu 15.04 and then one day it quit working so I went through all the normal install process to make a whole new clean install and now the icon appears to be blue and not green and does not fire up TOS

Leave a Reply

Your email address will not be published. Required fields are marked *